<?php
/*
 * 日期时间函数
 * author zhb
 * 2010-03-05
 */


function initTimeZone()
{
	date_default_timezone_set('PRC');	
}

/*
* 指定两个时间段，返回不同的时间数
* $interval：只允许intervals有以下五个值："w"(周)、"d"（天）、"h"（小时）、"n"（分钟） 和"s"（秒）
* $date1 通常为当前时间；
* $date2 需要计算的时间；
*/
function dateDiff ($interval = "d", $date1, $date2) {
	// 得到两日期之间间隔的秒数
	$timedifference = strtotime($date2) - strtotime($date1);
	switch ($interval) {
		case "w": $retval = bcdiv($timedifference, 604800); break;
		case "d": $retval = bcdiv($timedifference, 86400); break;
		case "h": $retval = bcdiv($timedifference, 3600); break;
		case "n": $retval = bcdiv($timedifference, 60); break;
		case "s": $retval = $timedifference; break;
	}
	return $retval;
}

/**
 * 2011-01-01 10:10:10格式
 * author zhb
 * 2010-03-05
 */
function getCurrentTimeDefaultFormat($datetime)
{
	//if($datetime == null) 
	//	$datetime = time();
	return date('Y-m-d G:i:s', $datetime);
}
?>